Bug 225060 - compile with -fPIC instead of changing selinux context
compile with -fPIC instead of changing selinux context
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ladspa-swh-plugins (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anthony Green
Fedora Extras Quality Assurance
bzcl34nup
: Reopened
Depends On: 324911
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-28 08:21 EST by Michael Schwendt
Modified: 2008-05-06 15:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:06:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2007-01-28 08:21:53 EST
Opening this ticket, because apparently, you've not seen my post on
fedora-extras-list,

  http://www.redhat.com/archives/fedora-extras-list/2007-January/msg00139.html

and the message to green AT fedoraproject DOT org is unreplied, too.

Compiling the DSO with -fPIC should be the preferred solution instead
of changing the SELinux context.
Comment 1 Anthony Green 2007-02-02 19:12:34 EST
(In reply to comment #0)
> Opening this ticket, because apparently, you've not seen my post on
> fedora-extras-list,
> 
>   http://www.redhat.com/archives/fedora-extras-list/2007-January/msg00139.html

Sorry, I guess I can't keep up with all of the fedora-extras-list traffic.

> and the message to green AT fedoraproject DOT org is unreplied, too.

Is that supposed to be an email address for me?  I'll look into it.

> 
> Compiling the DSO with -fPIC should be the preferred solution instead
> of changing the SELinux context.

Ok, thanks for the advice.  I'll fix this over the weekend.

AG
Comment 2 Anthony Green 2007-02-03 16:49:45 EST
The fixed revision (-7) should show up in rawhide shortly.
Comment 3 Michael Schwendt 2007-04-18 06:40:22 EDT
Patch doesn't work for the sub-directories:

  gsm
  gverb
  util

They are not compiled with -fPIC.

*** Warning: Linking the shared library hermes_filter_1200.la against the
*** static library util/libblo.a is not portable!
--
*** Warning: Linking the shared library gsm_1215.la against the
*** static library gsm/libgsm.a is not portable!
--
*** Warning: Linking the shared library gverb_1216.la against the
*** static library gverb/libgverb.a is not portable!
--
*** Warning: Linking the shared library fm_osc_1415.la against the
*** static library util/libblo.a is not portable!
--
*** Warning: Linking the shared library analogue_osc_1416.la against the
*** static library util/libblo.a is not portable!
--
*** Warning: Linking the shared library sc1_1425.la against the
*** static library util/libdb.a is not portable!
--
*** Warning: Linking the shared library sc1_1425.la against the
*** static library util/librms.a is not portable!
--
*** Warning: Linking the shared library sc2_1426.la against the
*** static library util/libdb.a is not portable!
--
*** Warning: Linking the shared library sc2_1426.la against the
*** static library util/librms.a is not portable!
--
*** Warning: Linking the shared library sc3_1427.la against the
*** static library util/libdb.a is not portable!
--
*** Warning: Linking the shared library sc3_1427.la against the
*** static library util/librms.a is not portable!
--
*** Warning: Linking the shared library sc4_1882.la against the
*** static library util/libdb.a is not portable!
--
*** Warning: Linking the shared library sc4_1882.la against the
*** static library util/librms.a is not portable!
--
*** Warning: Linking the shared library se4_1883.la against the
*** static library util/libdb.a is not portable!
--
*** Warning: Linking the shared library se4_1883.la against the
*** static library util/librms.a is not portable!
--
*** Warning: Linking the shared library bandpass_a_iir_1893.la against the
*** static library util/libiir.a is not portable!
--
*** Warning: Linking the shared library bandpass_iir_1892.la against the
*** static library util/libiir.a is not portable!
--
*** Warning: Linking the shared library highpass_iir_1890.la against the
*** static library util/libiir.a is not portable!
--
*** Warning: Linking the shared library lowpass_iir_1891.la against the
*** static library util/libiir.a is not portable!
--
*** Warning: Linking the shared library notch_iir_1894.la against the
*** static library util/libiir.a is not portable!
--
*** Warning: Linking the shared library butterworth_1902.la against the
*** static library util/libiir.a is not portable!
--
*** Warning: Linking the shared library sc4m_1916.la against the
*** static library util/libdb.a is not portable!
--
*** Warning: Linking the shared library sc4m_1916.la against the
*** static library util/librms.a is not portable!
--
*** Warning: Linking the shared library pitch_scale_1193.la against the
*** static library util/libpitchscale.a is not portable!
--
*** Warning: Linking the shared library pitch_scale_1194.la against the
*** static library util/libpitchscale.a is not portable!

Comment 4 Anthony Green 2007-10-09 10:12:33 EDT
I believe I've fixed this for rawhide. 
The ppc compiler is failing on FC-6 when I add -fPIC.  I'll submit a bug report
against gcc.
I have some tagging problems on F-7 and will commit the fix when I've resolved that.
Comment 5 Anthony Green 2007-10-09 11:15:45 EDT
Ok, F-7 is fixed and I've added a dependency on bug #324911.
Comment 6 Bug Zapper 2008-04-04 01:46:18 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 7 Bug Zapper 2008-05-06 15:06:46 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.